Bug 1287562 - Unable to edit or add recipes
Summary: Unable to edit or add recipes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gourmet
Version: 23
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-02 10:59 UTC by Sylvia Sánchez
Modified: 2015-12-15 15:21 UTC (History)
3 users (show)

Fixed In Version: gourmet-0.17.4-5.fc23 gourmet-0.17.4-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-15 13:24:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Sylvia Sánchez 2015-12-02 10:59:54 UTC
Description of problem:
It's impossible to add a new recipe or edit an existing one. Though it doesn't hang the whole program, it make it unusable because you can't do nothing but reading the recipes you have as they are.

Version-Release number of selected component (if applicable):


How reproducible:
Trying to add recipes or editing previous ones.

Steps to Reproduce:
1. Open Gourmet 
2. Picking a recipe to edit
3. Or clicking on "New recipe"

Actual results:
A window appears but there's no fields or buttons, so it's impossible to work with it. 

Expected results:
The edition window should open and show you all the options to add a new recipe or edit the selected one.

Additional info:
There's already a bug report and a SOLUTION here:  https://github.com/thinkle/gourmet/issues/821#issuecomment-152868235

Comment 1 Peter Gordon 2015-12-02 20:41:21 UTC
Thanks for the bug report and upstream link. I've committed this fix to Fedora's Rawhide branch (packing is building in Koji as I type this); and similar updates to F22 and F23 will follow shortly thereafter...

Comment 2 Peter Gordon 2015-12-02 20:41:54 UTC
(Correction: "package"; not "packing.")

Comment 3 Fedora Update System 2015-12-02 20:58:15 UTC
gourmet-0.17.4-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fbd8fa9360

Comment 4 Fedora Update System 2015-12-02 21:31:18 UTC
gourmet-0.17.4-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-320c0a08ff

Comment 5 Fedora Update System 2015-12-04 01:35:33 UTC
gourmet-0.17.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gourmet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fbd8fa9360

Comment 6 Fedora Update System 2015-12-04 02:21:52 UTC
gourmet-0.17.4-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gourmet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-320c0a08ff

Comment 7 Fedora Update System 2015-12-15 13:24:04 UTC
gourmet-0.17.4-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-12-15 15:20:57 UTC
gourmet-0.17.4-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.